%global __brp_check_rpaths %{nil}
%global packname  CryptRndTest
%global packver   1.2.7
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.2.7
Release:          1%{?dist}%{?buildtag}
Summary:          Statistical Tests for Cryptographic Randomness

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-kSamples 
BuildRequires:    R-CRAN-sfsmisc 
BuildRequires:    R-CRAN-Rmpfr 
BuildRequires:    R-parallel 
BuildRequires:    R-CRAN-LambertW 
BuildRequires:    R-CRAN-gmp 
BuildRequires:    R-CRAN-tseries 
BuildRequires:    R-methods 
Requires:         R-CRAN-kSamples 
Requires:         R-CRAN-sfsmisc 
Requires:         R-CRAN-Rmpfr 
Requires:         R-parallel 
Requires:         R-CRAN-LambertW 
Requires:         R-CRAN-gmp 
Requires:         R-CRAN-tseries 
Requires:         R-methods 

%description
Performs cryptographic randomness tests on a sequence of random integers
or bits. Included tests are greatest common divisor, birthday spacings,
book stack, adaptive chi-square, topological binary, and three random walk
tests (Ryabko and Monarev, 2005) <doi:10.1016/j.jspi.2004.02.010>. Tests
except greatest common divisor and birthday spacings are not covered by
standard test suites. In addition to the chi-square goodness-of-fit test,
results of Anderson-Darling, Kolmogorov-Smirnov, and Jarque-Bera tests are
also generated by some of the cryptographic randomness tests.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
